%% example of usage

%depth image focal length and frame center given by my Intel Creative depth
%camera (these parameters are also the ones for the dataset)
calibparam.cy = 160;
calibparam.cx = 120;
calibparam.fy = 224.502;
calibparam.fx = 230.494;  

options.calibparam = calibparam;
options.imgBorder = 60;
options.maxSize = 180;

I = double(imread('testfile.png')); %replace the filename with the png file, containing the original depth values
 
[seg,~,pt] = segmentHand(I,options);

%plot the result
figure(1)
subplot(1,2,1);
imshow(seg);
title('testfile.png: segmentation');
subplot(1,2,2);
imshow(I/max(max(I))); hold on;
plot(pt(1,1),pt(1,2),'+r');
title('original depth image');
